"use strict";

let fs = require('fs');

module.exports = {
    authToken : "",
    zetaPublicKey : "",
    signatoryJID : "",
    privateKey : fs.readFileSync(__dirname + 'private.pem', 'utf8'),
    publicKey : fs.readFileSync(__dirname + 'public.pem', 'utf8'),
    merchantID : "",
    PWZ_URL : {
        requestOTP: "/zeta.in/zetamerchant/1.0/requestUserTokenChallenge",
        verifyOTP: "/zeta.in/zetamerchant/1.0/verifyUserTokenChallenge",
        hasBalance: "/zeta.in/zetamerchant/1.0/hasSufficientBalance",
        requestPayment: "/zeta.in/zetamerchant/1.0/requestPayment",
        paymentStatus: "/zeta.in/zetamerchant/1.0/getPaymentStatus"
    },
    PWZ_HOST: "api.stage.zeta.in"
};